import request from '@/utils/request'
// 验证密码
export function public_checkPassword(data) {
  return request({
    url: '/system/business/public/checkPassword',
    method: 'post',
    data
  })
}

// 暂存柜列表
export function public_zcgList(query) {
  return request({
    url: '/system/business/public/zcgList',
    method: 'get',
    params: query
  })
}

// 模板列表
export function public_templateList(query) {
  return request({
    url: '/system/business/public/templateList',
    method: 'get',
    params: query
  })
}

// 试验区域-饲养间列表
export function public_roomList(query) {
  return request({
    url: '/system/business/public/roomList',
    method: 'get',
    params: query
  })
}

// 动物种属-笼具列表
export function public_animalSpeciesList(query) {
  return request({
    url: '/system/business/public/animalSpeciesList',
    method: 'get',
    params: query
  })
}
// 试剂列表
export function public_sjList(query) {
  return request({
    url: '/system/business/public/sjList',
    method: 'get',
    params: query
  })
}
// 试验列表
export function public_studyList(query) {
  return request({
    url: '/system/business/public/studyList',
    method: 'get',
    params: query
  })
}
// 部长列表
export function public_bzList(query) {
  return request({
    url: '/system/business/public/bzList',
    method: 'get',
    params: query
  })
}
// 仪器列表
export function public_yqList(query) {
  return request({
    url: '/system/business/public/yqList',
    method: 'get',
    params: query
  })
}
// 给药制剂列表
export function public_gyzjList(query) {
  return request({
    url: '/system/business/public/gyzjList',
    method: 'get',
    params: query
  })
}
// 供试品列表
export function public_gspList(query) {
  return request({
    url: '/system/business/public/gspList',
    method: 'get',
    params: query
  })
}
// 细胞列表
export function public_xbList(query) {
  return request({
    url: '/system/business/public/cellList',
    method: 'get',
    params: query
  })
}
// 细菌列表
export function public_xjList(query) {
  return request({
    url: '/system/business/public/bacteriaList',
    method: 'get',
    params: query
  })
}
// 模板的可选步骤列表
export function public_templateStepList(query) {
  return request({
    url: '/system/business/public/templateStepList',
    method: 'get',
    params: query
  })
}
// 存储位置列表
export function public_storageLocation(query) {
  return request({
    url: '/system/business/public/storageLocation',
    method: 'get',
    params: query
  })
}
// 操作日志
export function public_saveSimpleLog(query) {
  return request({
    url: '/system/business/public/saveSimpleLog',
    method: 'get',
    params: query
  })
}
// 检测板
export function public_jcbList(query) {
  return request({
    url: '/system/business/public/jcbList',
    method: 'get',
    params: query
  })
}
// 前序表单
export function public_qxFormFillList(query) {
  return request({
    url: '/system/business/public/qxFormFillList',
    method: 'get',
    params: query
  })
}
